Skip to main content
GET
/
connected_accounts
/
{accountId}
/
rates
TypeScript
const response: Promise<FireblocksResponse<ConnectedAccountRateResponse>> = fireblocks.connectedAccountsBeta.getConnectedAccountRates(connectedAccountsBetaApiGetConnectedAccountRatesRequest);
{
  "accountId": "ea6c3cb7-355a-4ee3-82ff-267c69970210",
  "baseAssetId": "BTC",
  "quoteAssetId": "USD",
  "rate": "1.2345"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

accountId
string
required

The ID of the account to fetch rates for.

Minimum string length: 1

Query Parameters

baseAssetId
string
required

The ID of the asset to fetch rates for.

Minimum string length: 1
quoteAssetId
string
required

The ID of the asset to get the rates nominally.

Minimum string length: 1

Response

Rates response

accountId
string
required

The ID of the account that generated the quote.

Example:

"ea6c3cb7-355a-4ee3-82ff-267c69970210"

baseAssetId
string
required

The source asset identifier

Example:

"BTC"

quoteAssetId
string
required

The target asset identifier

Example:

"USD"

rate
string
required

The exchange rate value

Example:

"1.2345"